Comment system JS error

  • Posts: 45
  • Thank you received: 1
5 years 7 months ago #228680

-- HikaShop version -- : 2.6.1
-- Joomla version -- : 3.4.8
-- PHP version -- : 5.5.10
-- Browser(s) name and version -- : chrome
-- Error-message(debug-mod must be tuned on) -- : vote.js:42 Uncaught TypeError: Cannot read property 'getAttribute' of null

Hi,

I can't get the comment system to work on my site. When you click 'Send a comment' you trigger "vote.js:42 Uncaught TypeError: Cannot read property 'getAttribute' of null". How can I trouble shoot this further? What other info can I give you?

Thanks for your help,
Michael.

Please Log in or Create an account to join the conversation.

  • Posts: 13201
  • Thank you received: 2319
  • MODERATOR
5 years 7 months ago #228715

Hi,

Do you have any overrides on the view "vote / form" ? If yes, please do a backup and remove the override.
www.hikashop.com/support/documentation/s...ize-the-display.html

Could you give us a screenshot of your vote settings ? Are you using the option "vote & comment connected" ?

Please Log in or Create an account to join the conversation.

  • Posts: 45
  • Thank you received: 1
5 years 7 months ago #229125

Other than turning the system on and off, the settings are as per the screen shot attached. Thank again.

Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 73703
  • Thank you received: 11298
  • MODERATOR
5 years 7 months ago #229147

Hi,

Try renaming the folder templates/YOUR_TEMPLATE/html/com_hikashop/vote/ via FTP and see if that helps.

Please Log in or Create an account to join the conversation.

  • Posts: 45
  • Thank you received: 1
5 years 6 months ago #232614

That folder doesn't exsist, there is only an override for /checkout/ but no /vote folder.

Please Log in or Create an account to join the conversation.

  • Posts: 13201
  • Thank you received: 2319
  • MODERATOR
5 years 6 months ago #232629

Hi,

Since a month we have potentially corrected some issue based on the votes, please try to download the latest version (still 2.6.1 but with fixes included) and install it over your current install.

Please Log in or Create an account to join the conversation.

Time to create page: 0.063 seconds
Powered by Kunena Forum